org.wildfly.swarm.config.elytron

## Class AggregateProviders<T extends AggregateProviders<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateProviders<T>

-     public class AggregateProviders<T extends AggregateProviders<T>>
      extends Object

  An aggregation of two or more Provider[] resources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateProviders(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `provider(String value)` The referenced Provider[] resources to aggregate.
    `List<String>` | `providers()` The referenced Provider[] resources to aggregate.
    `T` | `providers(List<String> value)` The referenced Provider[] resources to aggregate.
    `T` | `providers(String... args)` The referenced Provider[] resources to aggregate.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateProviders

          public AggregateProviders(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### providers

          public List<String> providers()

      The referenced Provider[] resources to aggregate.

    - #### providers

          public T providers(List<String> value)

      The referenced Provider[] resources to aggregate.

    - #### provider

          public T provider(String value)

      The referenced Provider[] resources to aggregate.

    - #### providers

          public T providers(String... args)

      The referenced Provider[] resources to aggregate.

Copyright © 2017 JBoss by Red Hat. All rights reserved.